#pragma once

#include <iostream>

using namespace std;


class V3 {
public:
	float xyz[3];
	float& operator[](int i);
	float operator*(V3 v1);
	V3 operator-(V3 v1);
	V3 operator+(V3 v1);
	V3 operator*(float scf);
	friend ostream& operator<<(ostream& ostr, V3 v);
	void SetFromColor(unsigned int color);
	unsigned int GetColor();
	float Length();
	V3() {};
	V3(float x, float y, float z);
};